
QGIS Application - Bug report #15684

Crash when creating snapshot with vector layer from command line

2016-10-09 09:56 AM - Alex Cobb

Status: Closed

Priority: High

Assignee:

Category: Project Loading/Saving

Affected QGIS version:2.18.16 Regression?: No

Operating System: Linux Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:Yes Copied to github as #: 23607

Description

Creating a PNG snapshot from the command line on Linux of a map containing a vector layer causes a segmentation fault after creating

the PNG.  Crashes with projects containing either SpatiaLite and shapefile layers, but no crash with just a raster layer (GeoTIFF).  No

crash if creating a PNG from the GUI (Project -> Save As Image...).  Crashes with or without --noplugins, --extent, --height, or --width.  A

number of failed Gtk assertions are reported just before the segfault.  The attached minimal (not) working example consists of a project

containing a single vector layer that is just a single polygon that I created in QGIS:

qgis --snapshot output.png test_map.qgsWarning: loading of qgis translation failed [/usr/share/qgis/i18n//qgis_en_US]

Warning: loading of qt translation failed [/usr/share/qt4/translations/qt_en_US]

Warning: QCss::Parser - Failed to load file  "/style.qss" 

loaded the Generic plugin 

Warning: QObject::startTimer: QTimer can only be used with threads started with QThread

(qgis:11254): Gtk-CRITICAL **: IA__gtk_container_add: assertion 'GTK_IS_CONTAINER (container)' failed

(qgis:11254): Gtk-CRITICAL **: IA__gtk_widget_realize: assertion 'GTK_WIDGET_ANCHORED (widget) || GTK_IS_INVISIBLE

(widget)' failed

(These two assertion failures are reported many times; full output is attached.)

Segmentation fault (core dumped)

History

#1 - 2017-02-04 02:50 AM - Giovanni Manghi

- Priority changed from Normal to High

#2 - 2017-03-07 04:50 AM - Giovanni Manghi

- Affected QGIS version changed from 2.12.1 to 2.18.4

- Target version set to Version 2.18

Confirmed on 2.18.4

#3 - 2017-05-01 01:02 AM - Giovanni Manghi

- Easy fix? set to No

- Regression? set to No
#4 - 2018-02-25 10:18 PM - Luca Lanteri

It works with 3.0.

Confirmed on 2.18.15

#5 - 2018-02-25 10:21 PM - Giovanni Manghi

- Description updated

- Affected QGIS version changed from 2.18.4 to 2.18.16

#6 - 2019-02-24 04:02 PM - Giovanni Manghi

- Resolution set to fixed/implemented

- Status changed from Open to Closed

Luca Lanteri wrote:

It works with 3.0.

Confirmed on 2.18.15

2.18 is EOL, so closing

Files

test_map.qgs 7.57 KB 2016-10-09 Alex Cobb

example.shp 252 Bytes 2016-10-09 Alex Cobb

example.shx 108 Bytes 2016-10-09 Alex Cobb

example.dbf 188 Bytes 2016-10-09 Alex Cobb

example.prj 143 Bytes 2016-10-09 Alex Cobb

example.qpj 257 Bytes 2016-10-09 Alex Cobb

snapshot_crash_stderr.txt 13.5 KB 2016-10-09 Alex Cobb

backtrace.log 35 KB 2016-10-09 Alex Cobb
